    <?xml version="1.0"?>
<JWM>
    <!-- The root menu. -->
    <RootMenu onroot="12">

<!-- ============================================================= -->

        <Menu icon="xfce-system-settings.svg" label="Set System">

            <Menu icon="folder" label="Calculator">
<Program label="Default"    >set-menu-program calculator   default        </Program>
<Program label="FoxCalc"    >set-menu-program calculator   foxcalc        </Program>
<Program label="KavCalc"    >set-menu-program calculator   kavcalc        </Program>
<Program label="Qalculate"  >set-menu-program calculator   qalculate      </Program>

                <Menu icon="folder" label="HP Calculators">
<Program label="HP-11c"  >set-menu-program calculator hp11c  </Program>
<Program label="HP-12c"  >set-menu-program calculator hp12c  </Program>
<Program label="HP-15c"  >set-menu-program calculator hp15c  </Program>
<Program label="HP-16c"  >set-menu-program calculator hp16c  </Program>
<Program label="HP-21"   >set-menu-program calculator hp21   </Program>
<Program label="HP-25"   >set-menu-program calculator hp25   </Program>
<Program label="HP-32e"  >set-menu-program calculator hp32e  </Program>
<Program label="HP-33c"  >set-menu-program calculator hp33c  </Program>
<Program label="HP-34c"  >set-menu-program calculator hp34c  </Program>
<Program label="HP-35"   >set-menu-program calculator hp35   </Program>
<Program label="HP-37e"  >set-menu-program calculator hp37e  </Program>
<Program label="HP-38c"  >set-menu-program calculator hp38c  </Program>
<Program label="HP-38e"  >set-menu-program calculator hp38e  </Program>
<Program label="HP-41cv" >set-menu-program calculator hp41cv </Program>
<Program label="HP-41cx" >set-menu-program calculator hp41cx </Program>
<Program label="HP-45"   >set-menu-program calculator hp45   </Program>
<Program label="HP-55"   >set-menu-program calculator hp55   </Program>
<Program label="HP-80"   >set-menu-program calculator hp80   </Program>

<Program label="Free42 Binary"  >set-menu-program calculator free42bin </Program>
<Program label="Free42 Decimal" >set-menu-program calculator free42dec </Program>
                </Menu>
            </Menu>

            <Menu icon="folder" label="Music Player">
<Program label="Default"              >set-menu-program music-player default     </Program>
<Program label="Alsaplayer"           >set-menu-program music-player alsaplayer  </Program>
<Program label="Audacious"            >set-menu-program music-player audacious   </Program>
<Program label="Media Player Classic" >set-menu-program music-player mpcqt       </Program>
<Program label="Parole"               >set-menu-program music-player parole      </Program>
<Program label="Qmmp"                 >set-menu-program music-player qmmp        </Program>
<Program label="Rhythmbox"            >set-menu-program music-player rhythmbox   </Program>
<Program label="Strawberry"           >set-menu-program music-player strawberry  </Program>
            </Menu>

            <Menu icon="folder" label="Notepad">
<Program label="Default"    >set-menu-program notepad      default        </Program>
<Program label="gedit"      >set-menu-program notepad      gedit          </Program>
<Program label="leafpad"    >set-menu-program notepad      leafpad        </Program>
<Program label="mousepad"   >set-menu-program notepad      mousepad       </Program>
<Program label="notenext"   >set-menu-program notepad      notenext       </Program>
<Program label="notepadqq"  >set-menu-program notepad      notepadqq      </Program>
            </Menu>

            <Menu icon="folder" label="Paint">
<Program label="Default"    >set-menu-program paint        default        </Program>
<Program label="GIMP 2"     >set-menu-program paint        gimp           </Program>
<Program label="GIMP 3"     >set-menu-program paint        gimp30         </Program>
<Program label="GPaint"     >set-menu-program paint        gpaint         </Program>
<Program label="TuxPaint"   >set-menu-program paint        tuxpaint       </Program>
            </Menu>

            <Menu icon="folder" label="Terminal">
<Program label="Default"    >set-menu-program terminal default            </Program>
<Program label="gnome"      >set-menu-program terminal gnome-terminal     </Program>
<Program label="sakura"     >set-menu-program terminal sakura-n4          </Program>
<Program label="xfce4"      >set-menu-program terminal xfce4-terminal     </Program>
<Program label="xterm"      >set-menu-program terminal xterm              </Program>
            </Menu>

            <Menu icon="folder" label="Video Editor">
<Program                              label="Default"       >set-menu-program video-editor default       </Program>
<Program icon="jwm-avidemux.png"      label="Avidemux"      >set-menu-program video-editor avidemux      </Program>
<Program icon="jwm-cinellera-cve.png" label="Cinelerra CVE" >set-menu-program video-editor cinelerra-cve </Program>
<Program icon="jwm-shotcut.png"       label="Shotcut"       >set-menu-program video-editor shotcut       </Program>
            </Menu>

            <Menu icon="folder" label="Video Player">
<Program                              label="Default"              >set-menu-program video-editor default       </Program>
<Program icon="jwm-mpcqt.svg"         label="Media Player Classic" >set-menu-program video-player mpcqt         </Program>
<Program                              label="Parole"               >set-menu-program video-player parole        </Program>
<Program                              label="VLC"                  >set-menu-program video-player vlc           </Program>
            </Menu>

            <Menu icon="folder" label="Wallpaper">
<Program label="Default"               >setbackground default            </Program>

                <Menu icon="folder" label="Live Wallpaper">
<Program label="Atlantis"              >setbackground atlantis           </Program>
<Program label="Cafe"                  >setbackground cafe               </Program>
<Program label="Circuit"               >setbackground circuit            </Program>
<Program label="Laclin XFishtank"      >setbackground newfishtank        </Program>
<Program label="Late Video Game"       >setbackground latevgame          </Program>
<Program label="Lava Lamp"             >setbackground lavalite           </Program>
<Program label="Snow Lake"             >setbackground snowlake           </Program>
<Program label="Vigilance"             >setbackground vigilance          </Program>
<Program label="XEarth"                >setbackground xearth             </Program>
                </Menu>

<Program label="Anthony Ant"           >setbackground Anthony_Ant        </Program>
<Program label="Blue Balloons"         >setbackground Blue_Balloons      </Program>
<Program label="Dice Seven"            >setbackground Dice_Seven         </Program>
<Program label="Krupskin Penguins"     >setbackground Krupski_Penguins   </Program>
<Program label="Krupskin Winter"       >setbackground Krupski_Winter     </Program>
<Program label="La Jolla Sunset"       >setbackground La_Jolla_Sunset    </Program>
<Program label="Map Dark"              >setbackground Map_Dark           </Program>
<Program label="Map Light"             >setbackground Map_Light          </Program>
<Program label="Miyagi"                >setbackground Miyagi             </Program>
<Program label="Qimo Day"              >setbackground Qimo_Day           </Program>
<Program label="Qimo Dusk"             >setbackground Qimo_Dusk          </Program>
<Program label="Silly Tux"             >setbackground Silly_Tux          </Program>
<Program label="Strandhill"            >setbackground Strandhill         </Program>
            </Menu>
        </Menu>

<!-- ============================================================= -->

        <Menu icon="xfce-system-settings.svg" label="Run">

                <Menu icon="folder" label="Games and Toys">
<Program icon="jwm-lincityng.svg"   label="LinCity NG"              >lincityng      </Program>
<Program icon="jwm-pysolfc.png"     label="PySolFC"                 >pysolfc        </Program>

                    <Menu icon="folder" label="Rocks'n'Diamonds">
                        <Menu icon="folder" label="RnD Remade Games">
<Program label="RnD Defender"          >rnd-defender        </Program>
<Program label="RnD Old West"          >rnd-oldwest         </Program>
<Program label="RnD Pacman"            >rnd-pacman          </Program>
<Program label="RnD Puzznic"           >rnd-puzznic         </Program>
<Program label="RnD SnakeBite"         >snakebite           </Program>
                        </Menu>

                        <Menu icon="folder" label="Boulder Type">
<Program label="RnD BD2K3"             >rnd-bd2k3           </Program>
<Program label="RnD BDDream"           >rnd-bddream         </Program>
<Program label="RnD Bojster"           >rnd-bojster         </Program>
<Program label="RnD BoulderDash"       >rnd-boulderdash     </Program>
<Program label="RnD Earth Shaker"      >rnd-earthshaker     </Program>
<Program label="RnD Einstein"          >rnd-einstein        </Program>
<Program label="RnD Gamera"            >rnd-gamera          </Program>
<Program label="RnD Haunted Mine"      >rnd-hauntedmine     </Program>
<Program label="RnD Herrmann"          >rnd-herrmann        </Program>
<Program label="RnD Supaplex"          >rnd-supaplex        </Program>
<Program label="RnD Walpurgis Gardens" >walpurgis-gardens   </Program>
<Program label="RnD Walpurgis World"   >walpurgis-world     </Program>
<Program label="RnD Wonder Mine"       >rnd-wonder          </Program>
                        </Menu>
                    </Menu>

                    <Menu icon="folder" label="Secret Maryo">
<Program icon="jwm-smc.png"      label="Secret Maryo Chronicles"     >smc     </Program>
<Program icon="jwm-tscgame.png"  label="Secret Chronicles of Dr. M." >tscgame </Program>
                    </Menu>

                    <Menu icon="folder" label="ScummVM">
<Program label="Beneath a Steel Sky" >scummvm-dir Beneath_a_Steel_Sky</Program>

                        <Menu icon="folder" label="Hoyle's Book Amiga">
<Program label="Hoyle's Book 01 Amiga" >scummvm-dir Hoyle_Book_01_Amiga </Program>
<Program label="Hoyle's Book 02 Amiga" >scummvm-dir Hoyle_Book_02_Amiga </Program>
<Program label="Hoyle's Book 03 Amiga" >scummvm-dir Hoyle_Book_03_Amiga </Program>
                        </Menu>

                        <Menu icon="folder" label="Pajama Sam">
<Program label="Games to Play on Any Day"                         >scummvm-dir Pajama_Sam_-_Games_to_Play_on_Any_Day                         </Program>
<Program label="No Need to Hide When It's Dark Outside"           >scummvm-dir Pajama_Sam_-_No_Need_to_Hide_When_it_s_Dark_Outside           </Program>
<Program label="Sock Works"                                       >scummvm-dir Pajama_Sam_-_Sock_Works                                       </Program>
<Program label="Thunder and Lightning Aren't So Frightening"      >scummvm-dir Pajama_Sam_-_Thunder_and_Lightning_Aren_t_so_Frightening      </Program>
<Program label="You Are What You Eat"                             >scummvm-dir Pajama_Sam_-_You_Are_What_You_Eat_From_Your_Head_to_Your_Feet </Program>
<Program label="Pajama Sam's Lost and Found"                      >scummvm-dir Pajama_Sam_s_Lost_And_Found                                   </Program>
                        </Menu>
                    </Menu>

                    <Menu icon="folder" label="Doom Type Games">
<Program                            label="K8vavoom"                >k8vavoom       </Program>
<Program                            label="PRFreeBoom"              >prfreeboom     </Program>
<Program icon="wolf4sdl-sm.png"     label="Wolf4SDL"                >wolf4sdl       </Program>
                    </Menu>

                    <Menu icon="folder" label="More Action Games">
<Program                            label="Asylum"                  >asylum         </Program>
<Program icon="jwm-beworld.png"     label="BEWorld"                 >beworld        </Program>
<Program icon="jwm-bsu.png"         label="Chromium BSU"            >chromium-bsu   </Program>
<Program icon="keen-genius.png"     label="Keen Genius"             >keen-genius    </Program>
<Program                            label="Monsters and Mushrooms"  >monstermush    </Program>
<Program                            label="Open Invaders"           >openinv        </Program>
<Program icon="jwm-powermanga.png"  label="Powermanga"              >powermanga     </Program>
<Program                            label="Space Aryarya"           >aryarya        </Program>
<Program icon="jwm-supertux.svg"    label="SuperTux 0.6"            >supertux06     </Program>
<Program icon="jwm-supertux.svg"    label="SuperTux 0.7"            >supertux07     </Program>

                        <Menu icon="folder" label="Bagger Pacman">
<Program icon="bagger-pacman.png"   label="Bagger Pacman Normal"    >bagger-pacman       </Program>
<Program icon="bagger-pacman.png"   label="Bagger Pacman Alternate" >bagger-pacman --fun </Program>
                        </Menu> <!-- end of Bagger Pacman -->

                        <Menu icon="folder" label="Bananas">
<Program                    label="Play as Fole"           >bananas      </Program>
<Program                    label="Play as Raul"           >bananas-raul </Program>
                        </Menu>
                    </Menu> <!-- end of More Action Games -->

                    <Menu icon="folder" label="More Board Games">
<Program icon="jwm-checkers.png"    label="Checkers"                >checkers       </Program>
<Program icon="jwm-chess.svg"       label="Chess"                   >wrap-eboard-bin </Program>
<Program                            label="Othello"                 >othello        </Program>
<Program                            label="Tic Tac Toe"             >tictactoe      </Program>
                    </Menu> <!-- end of More Board Games -->

                    <Menu icon="folder" label="More Puzzles">
<Program                            label="Fish Supper"             >fishsupper     </Program>
<Program                            label="Sudoku"                  >sudoku         </Program>
<Program                            label="Monsterz"                >monsterz       </Program>
<Program                            label="Turn 'Em Blue!"          >bluetile       </Program>

                        <Menu icon="folder" label="Minesweepers">
<Program icon="modern-sweeper.png" label="Modern Sweeper" >modern-sweeper   </Program>
<Program                           label="Pysweeper"      >pysweeper        </Program>
                        </Menu>
                    </Menu>

                    <Menu icon="folder" label="Math Toys">
<Program label="Ghost Diagrams" >ghost-diagrams  </Program>
<Program label="GtkLife"        >gtklife         </Program>
<Program label="Slide Rule"     >sliderule       </Program>
<Program label="XaoS"           >xaos            </Program>
                    </Menu>

                    <Menu icon="folder" label="More Toys">
                        <Menu icon="folder" label="Timeless">
<Program label="Start Timeless" >timeless         </Program>
<Program label="Stop  Timeless" >killany timeless </Program>
                        </Menu>

                        <Separator />

<Program label="CacaFire"   >cacafire     </Program>
<Program label="Kart Test"  >allegro-kart </Program>
<Program label="Sparky"     >sparky       </Program>
                    </Menu>
                </Menu>

                <Menu icon="folder" label="Kiwix">
                    <Menu icon="folder" label="Major Kiwix Collections">
<Program label="Kiwix Library"               >kiwix-view                   </Program>
<Program label="All the Tropes"              >kiwix-view allthetropes      </Program>
<Program label="Tom Lehrer Songs"            >kiwix-view tom_lehrer_songs  </Program>
<Program label="Wikipedia"                   >kiwix-view wikipedia_2025    </Program>
<Program label="Wiktionary"                  >kiwix-view wiktionary_2026   </Program>

                    </Menu>
                    <Menu icon="folder" label="Novels and Short Stories">
<Program label="Anything You Can Do"         >kiwix-view anything          </Program>
<Program label="Owl Only Comes Out at Night" >kiwix-view owl               </Program>
                    </Menu>
                </Menu>

                <Menu icon="folder" label="Internet">
                    <Menu icon="folder" label="Chat">
<Program icon="jwm-hexchat.svg"   label="HexChat"     >hexchat           </Program>
                    </Menu>

                    <Menu icon="folder" label="FTP">
<Program icon="jwm-filezilla.svg" label="Filezilla"   >filezilla         </Program>
<Program icon="jwm-gftp.svg"      label="gFTP"        >gftp              </Program>
                    </Menu>

                    <Menu icon="folder" label="Web Browsers">
<Program icon="chromium.png"      label="Chromium"    >chromium          </Program>
<Program icon="jwm-librewolf.png" label="LibreWolf"   >librewolf         </Program>
<Program icon="jwm-albusluna.png" label="AlbusLuna"   >albusluna         </Program>
<Program icon="jwm-dooble.png"    label="Dooble"      >dooble            </Program>
<Program icon="jwm-leafweb.jpg"   label="Leaf-Web"    >leafweb           </Program>
<Program icon="jwm-webkitgtk.png" label="Minibrowser" >minibrowser       </Program>
<Program icon="tor-browser.png"   label="Tor Browser" >tor-browser       </Program>
                    </Menu>

                <Separator />

<Program icon="internet-mail.png" label="Email"       >epyrus            </Program>
<Program                          label="gip"         >gip               </Program>
                </Menu>

                <Menu icon="folder" label="Math">
<Program icon="jwm-genius.svg"      label="GUI Math System" >gnome-genius </Program>

                    <Menu icon="folder" label="Calculators">
<Program icon="jwm-foxcalc.png"     label="FoxCalc"         >foxcalc      </Program>
<Program                            label="KavCalc"         >kavcalc      </Program>
<Program icon="jwm-qalculate.svg"   label="Qalculate"       >qalculate    </Program>

                        <Menu icon="folder" label="HP Calculators">
<Program label="Stop"    >nonpareil stop </Program>

<Program label="HP-11c"  >hp11c  </Program>
<Program label="HP-12c"  >hp12c  </Program>
<Program label="HP-15c"  >hp15c  </Program>
<Program label="HP-16c"  >hp16c  </Program>
<Program label="HP-21"   >hp21   </Program>
<Program label="HP-25"   >hp25   </Program>
<Program label="HP-32e"  >hp32e  </Program>
<Program label="HP-33c"  >hp33c  </Program>
<Program label="HP-34c"  >hp34c  </Program>
<Program label="HP-35"   >hp35   </Program>
<Program label="HP-37e"  >hp37e  </Program>
<Program label="HP-38c"  >hp38c  </Program>
<Program label="HP-38e"  >hp38e  </Program>
<Program label="HP-41cv" >hp41cv </Program>
<Program label="HP-41cx" >hp41cx </Program>
<Program label="HP-45"   >hp45   </Program>
<Program label="HP-55"   >hp55   </Program>
<Program label="HP-80"   >hp80   </Program>

<Program label="Free42 Binary"  >free42bin </Program>
<Program label="Free42 Decimal" >free42dec </Program>
                        </Menu>
                    </Menu>

                    <Menu icon="folder" label="Math Toys">
<Program label="Ghost Diagrams" >ghost-diagrams </Program>
<Program label="GtkLife"        >gtklife        </Program>
<Program label="Slide Rule"     >sliderule      </Program>
<Program label="XaoS"           >xaos           </Program>
                    </Menu>
                </Menu>

                <Menu icon="folder" label="Multimedia">
                    <Menu icon="folder" label="OldCoder Multimedia">
<Program label="The OldCoder Song" >audacious /static/media/CodesStuff_-_OldCoder.mp3 </Program>
<Program label="Thank You Robert"  >mpvstatic Thank_You_Robert.mp4  </Program>
                    </Menu>

                    <Menu icon="folder" label="Some Music Audio-Only">
<Program label="OldCoder Favorite Audio"     >playasx ocfavorites-music                    </Program>
<Program label="Tom Lehrer Songs"            >kiwix-view tom_lehrer_songs                  </Program>
                    </Menu>

                    <Menu icon="folder" label="Some Music Videos">
<Program label="1979 Buggles - Video Killed the Radio Star"      >playmusicvideo 1979_Buggles_-_Video_Killed_the_Radio_Star.mp4 </Program>
<Program label="1981 Joey Scarbury - Believe It Or Not"          >playmusicvideo 1981_Joey_Scarbury_-_Believe_It_Or_Not.mp4 </Program>
<Program label="1986 Paul Simon - You Can Call Me Al"            >playmusicvideo 1986_Paul_Simon_-_You_Can_Call_Me_Al_Official.mp4 </Program>
<Program label="2000 The Pillows - I Think I Can"                >playmusicvideo 2000_The_Pillows_-_I_Think_I_Can.mp4 </Program>
<Program label="2000 The Pillows - Ride On Shooting Star"        >playmusicvideo 2000_The_Pillows_-_Ride_On_Shooting_Star.mp4 </Program>
<Program label="2000 The Pillows - Ride On Shooting Star Lyrics" >playmusicvideo 2000_The_Pillows_-_Ride_On_Shooting_Star_Lyrics.mp4 </Program>
<Program label="Unknown - Straya"                                >playmusicvideo Unknown_-_Straya.mp4 </Program>
                    </Menu>

                    <Menu icon="folder" label="Image Tools">
                        <Menu icon="folder" label="Paint">
<Program icon="jwm-paint.svg"    label="GPaint"        >gpaint   </Program>
<Program icon="jwm-gimp.svg"     label="The GIMP"      >gimp     </Program>
<Program icon="jwm-tuxpaint.svg" label="TuxPaint"      >tuxpaint </Program>
                        </Menu>
                        <Separator />

<Program                          label="GColor2"       >gcolor2   </Program>
<Program icon="jwm-geeqie.png"    label="Geeqie Viewer" >geeqie    </Program>
<Program icon="jwm-inkscape.svg"  label="Inkscape"      >inkscape  </Program>
<Program icon="jwm-ristretto.svg" label="Ristretto"     >ristretto </Program>
<Program icon="jwm-gimp.svg"      label="The GIMP"      >gimp      </Program>
                    </Menu>

                    <Menu icon="folder" label="Music Players">
<Program label="Default"               >run-menu-program music-player </Program>
<Program label="Alsaplayer"            >alsaplayer                    </Program>
<Program label="Audacious"             >audacious                     </Program>
<Program label="Media Player Classic"  >mpcqt                         </Program>
<Program label="Parole"                >parole                        </Program>
<Program label="Qmmp"                  >qmmp                          </Program>
<Program label="Rhythmbox"             >rhythmbox                     </Program>
<Program label="Strawberry"            >strawberry                    </Program>
                    </Menu>

                    <Menu icon="folder"   label="Video Editors">
<Program icon="jwm-avidemux.png"      label="Avidemux"      >avidemux      </Program>
<Program icon="jwm-cinellera-cve.png" label="Cinelerra CVE" >cinelerra-cve </Program>
<Program icon="jwm-shotcut.png"       label="Shotcut"       >shotcut       </Program>
                    </Menu>

                    <Menu icon="folder"   label="Video Players">
<Program icon="jwm-mpcqt.svg"         label="Media Player Classic" >mpcqt         </Program>
<Program                              label="Parole"               >parole        </Program>
<Program                              label="VLC"                  >vlc           </Program>
                    </Menu>

                    <Menu icon="folder" label="Play sample SWFs">
<Program label="From My Room"    >gnash-launcher from-my-room.swf    </Program>
<Program label="Hyakugojyuuichi" >gnash-launcher hyakugojyuuichi.swf </Program>
<Program label="Magical Trevor"  >gnash-launcher magical-trevor.swf  </Program>
<Program label="Shumway"         >gnash-launcher shumway.swf         </Program>
                    </Menu>

                    <Menu icon="folder" label="Clip Art">
                        <Menu icon="folder" label="Openclipart">
<Program label="Browse in browser" >chrome /mnt/openclipdata/ </Program>
<Program label="Browse in Thunar"  >thunar /mnt/openclipdata/ </Program>
                        </Menu>
                        <Menu icon="folder" label="WPClipArt">
<Program label="Browse in browser" >chrome /mnt/wpclipdata/   </Program>
<Program label="Browse in Thunar"  >thunar /mnt/wpclipdata/   </Program>
                        </Menu>
                    </Menu>

                    <Menu icon="folder"   label="More Audio Tools">
<Program                             label="EasyTag"  >easytag               </Program>
<Program icon="jwm-audio-editor.png" label="Ardour"   >ardour                </Program>
                    </Menu>

                    <Menu icon="folder"   label="More Video Tools">
<Program icon="jwm-handbrake.svg" label="HandBrake" >ghb                   </Program>
<Program icon="jwm-minitube.svg"  label="Minitube"  >minitube              </Program>
                    </Menu>
                </Menu>

                <Menu icon="folder" label="Notepad">
<Program label="Default"   >run-menu-program notepad </Program>
<Program label="gedit"     >gedit                    </Program>
<Program label="leafpad"   >leafpad                  </Program>
<Program label="mousepad"  >mousepad                 </Program>
<Program label="notenext"  >notenext                 </Program>
<Program label="notepadqq" >notepadqq                </Program>
                </Menu>

                <Menu icon="folder" label="More Office Tools">
<Program icon="jwm-convertall.svg"  label="Convert Units" >convertall    </Program>
<Program icon="jwm-libreoffice.png" label="LibreOffice"   >soffice       </Program>
<Program icon="jwm-osmo.png"        label="Osmo PIM"      >osmo          </Program>
<Program icon="jwm-pdfmixtool.png"  label="PDF Mix Tool"  >pdfmixtool    </Program>

                    <Menu icon="folder" label="PDF Viewers">
<Program icon="jwm-atril.svg"       label="Atril"        >atril          </Program>
<Program icon="jwm-evince.png"      label="Evince"       >evince         </Program>
<Program icon="jwm-mupdf.svg"       label="mupdf"        >mupdf          </Program>
                    </Menu>

                    <Menu icon="folder" label="Office Minimal">
<Program                            label="AbiWord"      >abiword        </Program>
<Program                            label="Gnumeric"     >gnumeric       </Program>
                    </Menu>
                </Menu>

            <!-- Menu/Run/File Tools start -->
            <Menu icon="folder"   label="File Tools">
<Program icon="jwm-thunar.svg"       label="Archive Manager" >file-roller    </Program>
<Program icon="jwm-thunar256.png"    label="File Manager"    >thunar         </Program>
<Program icon="jwm-rshuttle.png"     label="Rclone Shuttle"  >rclone-shuttle </Program>

                <!-- Menu/Run/File Tools/Search start -->
                <Menu icon="folder" label="Search">
<Program icon="jwm-recoll.png"      label="Recoll"  >recoll  </Program>
                </Menu>
                <!-- Menu/Run/File Tools/Search end -->
            </Menu>
            <!-- Menu/Run/File Tools end -->

            <!-- Menu/Run/Terminals start -->
            <Menu icon="folder"   label="Terminals">
<Program label="Default"    >run-menu-program terminal </Program>
<Program label="gnome"      >gnome-terminal            </Program>
<Program label="sakura"     >sakura-n4                 </Program>
<Program label="xfce4"      >xfce4-terminal            </Program>
<Program label="xterm"      >xterm                     </Program>
            </Menu>
            <!-- Menu/Run/Terminals end -->

            <Separator />

            <!-- Menu/Run/Toppers start -->
            <Menu icon="folder"      label="Toppers" >
                 <Program label="htop" >__META_PREFIX__/xbin/jwm-htop </Program>
                 <Program label="ytop" >__META_PREFIX__/xbin/jwm-ytop </Program>

                 <Menu icon="folder" label="Conky"   >
<Program label="Start Conky">__META_PREFIX__/data/jwm-conky.pl</Program>
<Program label="Stop  Conky">killall conky</Program>
                </Menu>
            </Menu>
            <!-- Menu/Run/Toppers end -->

        </Menu>
        <Separator />

<Program                      label="Reset PulseAudio" >resetpulse                </Program>
<Program icon="terminal2007b" label="Terminal"         >run-menu-program terminal </Program>
<Program                      label="Wikipedia"        >kiwix-view wikipedia_2025 </Program>
<Program icon="jwm-lock.svg"  label="Screen Lock"      >slock                     </Program>

        <Separator />

        <Exit label="Exit" confirm="true" icon="exit" />
    </RootMenu>

    <!-- Options for program groups. -->
    <Group>
        <Option>tiled</Option>
    </Group>
    <Group>
        <Name>xterm</Name>
        <Option>vmax</Option>
    </Group>
    <Group>
        <Name>xclock</Name>
        <Name>fishmon</Name>
        <Name>wmfishtime</Name>
        <Option>drag</Option>
        <Option>notitle</Option>
    </Group>

<!-- WM_CLASS(STRING) = "goldendict.bin", "GoldenDict" -->
<!-- name = 1st, class = 2nd ? -->

    <Group>
        <Name>GoldenDict</Name>
        <Class>GoldenDict</Class>
        <Name>HexChat</Name>
        <Class>HexChat</Class>
        <Name>goldendict.bin</Name>
        <Option>noclose</Option>
        <Option>nokill</Option>
        <Option>nofullscreen</Option>
        <Option>nolist</Option>
        <Option>nomaxmoo</Option>
        <Option>nomin</Option>
    </Group>

    <!-- Tray for start, Terminal, and taskbar -->
    <Tray x="0" y="-1" autohide="off" delay="1000" height="48">
        <TrayButton icon="greenstart">root:1</TrayButton>
        <TrayButton icon="terminal2007b">exec:run-menu-program terminal</TrayButton>
        <Spacer width="2"/>
        <TrayButton label="_">showdesktop</TrayButton>
        <Spacer width="2"/>
        <TaskList labeled="false" maxwidth="256"/>
    </Tray>

    <Tray layout="vertical"
        x="0" y="0" halign="left" valign="top"
        width="48" height="425"

        <TrayButton icon="jwm-chess.svg"        popup="Chess"              >
            exec:eboard
        </TrayButton>

        <TrayButton icon="jwm-hexchat.svg"      popup="HexChat"            >
            exec:hexchat
        </TrayButton>

        <TrayButton icon="jwm-lock.svg"         popup="Screen Lock"        >
            exec:slock
        </TrayButton>

        <TrayButton icon="jwm-genius.svg"       popup="Math System"        >
            exec:gnome-genius
        </TrayButton>

        <TrayButton icon="jwm-avidemux.png"     popup="Video Editor"       >
            exec:run-menu-program video-editor
        </TrayButton>

        <TrayButton icon="jwm-gimp.svg"         popup="The GIMP"           >
            exec:gimp
        </TrayButton>

        <TrayButton icon="chromium.png"         popup="Chromium"           >
            exec:chromium
        </TrayButton>

        <TrayButton icon="jwm-libreoffice.png"  popup="LibreOffice"        >
            exec:soffice
        </TrayButton>
    </Tray>

    <Tray layout="vertical"
        x="49" y="0" valign="top"
        width="48" height="425"

        <TrayButton icon="jwm-beworld.png"      popup="BEWorld"            >
            exec:beworld
        </TrayButton>

        <TrayButton icon="jwm-paint.svg"        popup="Paint"              >
            exec:run-menu-program paint
        </TrayButton>

        <TrayButton icon="jwm-osmo.png"         popup="Osmo"               >
            exec:osmo
        </TrayButton>

        <TrayButton icon="jwm-qalculate.svg"    popup="Calculator"         >
            exec:run-menu-program calculator
        </TrayButton>

        <TrayButton icon="jwm-audio-editor.png" popup="Audio Editor"       >
            exec:ardour
        </TrayButton>

        <TrayButton icon="tor-browser.png"      popup="Tor Browser"        >
            exec:tor-browser
        </TrayButton>

        <TrayButton icon="jwm-librewolf.png"    popup="LibreWolf"          >
            exec:librewolf
        </TrayButton>

        <TrayButton icon="internet-mail.png"    popup="EMail"              >
            exec:epyrus
        </TrayButton>
    </Tray>

    <Tray layout="vertical"
        x="98" y="0" valign="top"
        width="48" height="425"

        <TrayButton icon="jwm-rshuttle.png"     popup="Rclone Shuttle"     >
            exec:rclone-shuttle
        </TrayButton>

        <TrayButton icon="jwm-thunar256.png"    popup="File Manager"       >
            exec:thunar
        </TrayButton>

        <TrayButton icon="jwm-recoll.png"       popup="Recoll"             >
            exec:recoll
        </TrayButton>

        <TrayButton icon="jwm-geeqie.png"       popup="Image Viewer"       >
            exec:geeqie
        </TrayButton>

        <TrayButton icon="jwm-music.png"        popup="Music Player"       >
            exec:run-menu-program music-player
        </TrayButton>

        <TrayButton icon="jwm-baka-mplayer.svg" popup="Video Player"       >
            exec:run-menu-program video-player
        </TrayButton>

        <TrayButton icon="jwm-albusluna.png"    popup="Mozilla"            >
            exec:run-menu-program mozilla
        </TrayButton>

        <TrayButton icon="jwm-leafpad.svg"      popup="Notepad"            >
            exec:run-menu-program notepad
        </TrayButton>
    </Tray>

    <Tray layout="vertical" x="0"  y="445" halign="left" width="69">
        <Swallow width="60" height="62" name="fishmon">wmfishtime</Swallow>
    </Tray>

    <Tray layout="vertical" x="69" y="445" width="69">
        <Swallow width="60" height="62" name="wmmoonclock">wmmoonclock</Swallow>
    </Tray>

    <Tray valign="bottom" x="-300" y="-1"
         autohide="off" delay="1000" height="42">
        <Pager labeled="true" />
    </Tray>

    <Tray valign="bottom" halign="right" y="-1"
         autohide="off" delay="1000" height="48">
        <Dock />
    </Tray>

    <!-- Visual Styles -->
    <WindowStyle decorations="motif">
        <Font>Sans-15:bold</Font>
        <Width>4</Width>
        <Corner>0</Corner>
        <Foreground>#FFFFFF</Foreground>
        <Background>#555555</Background>
        <MOpacity>0.5</MOpacity>
        <Active>
            <Foreground>#FFFFFF</Foreground>
            <Background>#0077CC</Background>
            <MOpacity>1.0</MOpacity>
        </Active>
    </WindowStyle>

    <TrayStyle decorations="motif">
        <Font>Sans-15</Font>
        <Background>#888888</Background>
        <Foreground>#FFFFFF</Foreground>
        <MOpacity>0.75</MOpacity>
    </TrayStyle>

    <ClockStyle>
        <Font>Sans-11</Font>
    </ClockStyle>

    <TaskListStyle list="all" group="true">
      <Font>Sans-15</Font>
      <Active>
        <Foreground>#FFFFFF</Foreground>
        <Background>#555555</Background>
      </Active>
      <Foreground>#FFFFFF</Foreground>
      <Background>#333333</Background>
    </TaskListStyle>

    <PagerStyle>
        <Foreground>#555555</Foreground>
        <Background>#333333</Background>
        <Text>#FFFFFF</Text>
        <Active>
            <Foreground>#0077CC</Foreground>
            <Background>#004488</Background>
        </Active>
    </PagerStyle>

    <MenuStyle decorations="motif">
        <Font>Sans-15</Font>
        <Foreground>#FFFFFF</Foreground>
        <Background>#333333</Background>
        <Active>
            <Foreground>#FFFFFF</Foreground>
            <Background>#0077CC</Background>
        </Active>
        <MOpacity>0.85</MOpacity>
    </MenuStyle>

    <PopupStyle>
        <Font>Sans-15</Font>
        <Foreground>#000000</Foreground>
        <Background>#999999</Background>
    </PopupStyle>

    <!-- Path where icons can be found.
         IconPath can be listed multiple times to allow searching
         for icons in multiple paths.
      -->

    <IconPath>
        __META_PREFIX__/share/jwm/icons
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango2/share/icons/Tango2/actions/scalable
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango2/share/icons/Tango2/apps/scalable
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango2/share/icons/Tango2/categories/scalable
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango2/share/icons/Tango2/devices/scalable
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango2/share/icons/Tango2/emblems/scalable
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango2/share/icons/Tango2/emotes/scalable
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango2/share/icons/Tango2/mimetypes/scalable
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango2/share/icons/Tango2/places/scalable
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango2/share/icons/Tango2/status/scalable
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango/share/icons/Tango/scalable/actions
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango/share/icons/Tango/scalable/apps
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango/share/icons/Tango/scalable/categories
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango/share/icons/Tango/scalable/devices
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango/share/icons/Tango/scalable/emblems
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango/share/icons/Tango/scalable/emotes
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango/share/icons/Tango/scalable/mimetypes
    </IconPath>
    <IconPath>
        __META_PRODTREE__/tango/share/icons/Tango/scalable/places
    </IconPath>

    <IconPath>
        __META_PRODTREE__/tango/share/icons/Tango/scalable/status
    </IconPath>

    <!-- Virtual Desktops -->
    <!-- Desktop tags can be contained within Desktops for desktop names. -->

    <Desktops width="4" height="1">
        <!-- Default background. Note that a Background tag can be
              contained within a Desktop tag to give a specific background
              for that desktop.
         -->
        <Background type="solid">#111111</Background>
    </Desktops>

    <!-- Double click speed (in milliseconds) -->
    <DoubleClickSpeed>400</DoubleClickSpeed>

    <!-- Double click delta (in pixels) -->
    <DoubleClickDelta>2</DoubleClickDelta>

    <!-- The focus model (sloppy or click) -->
    <!-- Laclin: click -->
    <FocusModel>click</FocusModel>

    <!-- The snap mode (none, screen, or border) -->
    <SnapMode distance="10">border</SnapMode>

    <!-- The move mode (outline or opaque) -->
    <MoveMode>opaque</MoveMode>

    <!-- The resize mode (outline or opaque) -->
    <ResizeMode>opaque</ResizeMode>

    <!-- Key bindings -->
    <Key key="Up">up</Key>
    <Key key="Down">down</Key>
    <Key key="Right">right</Key>
    <Key key="Left">left</Key>
    <Key key="h">left</Key>
    <Key key="j">down</Key>
    <Key key="k">up</Key>
    <Key key="l">right</Key>
    <Key key="Return">select</Key>
    <Key key="Escape">escape</Key>

    <Key mask="A" key="Tab">nextstacked</Key>
    <Key mask="A" key="F4">close</Key>
    <Key mask="A" key="#">desktop#</Key>
    <Key mask="A" key="F1">root:1</Key>
    <Key mask="A" key="F2">window</Key>
    <Key mask="A" key="F10">maximize</Key>
    <Key mask="A" key="Right">rdesktop</Key>
    <Key mask="A" key="Left">ldesktop</Key>
    <Key mask="A" key="Up">udesktop</Key>
    <Key mask="A" key="Down">ddesktop</Key>

    <!-- Mouse bindings -->
    <Mouse context="root" button="4">ldesktop</Mouse>
    <Mouse context="root" button="5">rdesktop</Mouse>

    <Mouse context="title" button="1">move</Mouse>
    <Mouse context="title" button="2">move</Mouse>
    <Mouse context="title" button="3">window</Mouse>
    <Mouse context="title" button="4">shade</Mouse>
    <Mouse context="title" button="5">shade</Mouse>
    <Mouse context="title" button="11">maximize</Mouse>

    <Mouse context="icon" button="1">window</Mouse>
    <Mouse context="icon" button="2">move</Mouse>
    <Mouse context="icon" button="3">window</Mouse>
    <Mouse context="icon" button="4">shade</Mouse>
    <Mouse context="icon" button="5">shade</Mouse>

    <Mouse context="border" button="1">resize</Mouse>
    <Mouse context="border" button="2">move</Mouse>
    <Mouse context="border" button="3">window</Mouse>

    <Mouse context="close" button="-1">close</Mouse>
    <Mouse context="close" button="2">move</Mouse>
    <Mouse context="close" button="-3">close</Mouse>

    <Mouse context="maximize" button="-1">maximize</Mouse>
    <Mouse context="maximize" button="-2">maxv</Mouse>
    <Mouse context="maximize" button="-3">maxh</Mouse>

    <Mouse context="minimize" button="-1">minimize</Mouse>
    <Mouse context="minimize" button="2">move</Mouse>
    <Mouse context="minimize" button="-3">shade</Mouse>

    <Desktops width="4" height="1">
        <Background type="solid">#111111</Background>
    </Desktops>

    <StartupCommand>setbackground</StartupCommand>
    <StartupCommand>set-menu-program music-player</StartupCommand>
    <StartupCommand>cbatticon</StartupCommand>
    <StartupCommand>nocompton</StartupCommand>
    <StartupCommand>goldendict</StartupCommand>
    <StartupCommand>__META_PRODTREE__/gtkcore/libexec/dconf-service</StartupCommand>
    <StartupCommand>audacious</StartupCommand>
    <StartupCommand>conky</StartupCommand>
    <StartupCommand>pavucontrol</StartupCommand>
    <StartupCommand>pasystray</StartupCommand>
    <StartupCommand>pa-applet</StartupCommand>
    <StartupCommand>recollindex -m</StartupCommand>
</JWM>
